Modify

Opened 9 years ago

Closed 8 years ago

#2036 closed Bugs (fixed)

Crash with some invalid nested templates specification

Reported by: rk Owned by: danieljames
Milestone: Boost 1.41.0 Component: quickbook
Version: Boost 1.35.0 Severity: Problem
Keywords: Cc:

Description

Quickbook crashes (access violation - memory write) when compiling the following code:

[template join1[a b] [b][a]] [/<- "error: Expanding template"]
[template join2[a b] [a][b]]
[template test[x] [join1 [join2 0 [x]] 0]]
[test 0]

Attachments (0)

Change History (7)

comment:1 Changed 8 years ago by danieljames

  • Milestone changed from Boost 1.36.0 to To Be Determined
  • Owner changed from djowel to danieljames
  • Status changed from new to assigned

I'm going to try to fix this as part of my Quickbook 1.5 effort.

comment:2 Changed 8 years ago by danieljames

  • Milestone changed from To Be Determined to Boost 1.40.0

comment:3 Changed 8 years ago by danieljames

(In [53738]) Don't use seperators that are in brackets, or are escaped. Refs #2036.

comment:4 Changed 8 years ago by danieljames

  • Milestone changed from Boost 1.40.0 to Boost 1.41.0

comment:5 Changed 8 years ago by danieljames

(In [55915]) Don't use seperators that are in brackets, or are escaped. Refs #2036.

comment:6 Changed 8 years ago by danieljames

(In [56752]) Merge quickbook 1.5 from trunk.

Merged revisions 55905-55917,56077,56715,56717-56719 via svnmerge from https://svn.boost.org/svn/boost/trunk

........

r55905 | danieljames | 2009-08-31 12:36:13 +0100 (Mon, 31 Aug 2009) | 1 line

Update quickbook version number.

........

r55906 | danieljames | 2009-08-31 12:36:23 +0100 (Mon, 31 Aug 2009) | 4 lines

Create entry for 1.5 in the change log.

Starting it of with some of the changes that have been made to quickbook since 1.4 - considering the first 1.4 release as the proper 1.4 release.

........

r55907 | danieljames | 2009-08-31 12:36:34 +0100 (Mon, 31 Aug 2009) | 3 lines

Wrap the template info in a struct.

So that I can add extra scoping info.

........

r55908 | danieljames | 2009-08-31 12:36:47 +0100 (Mon, 31 Aug 2009) | 1 line

Implement static/lexical scoping for 1.5. Refs #2034.

........

r55909 | danieljames | 2009-08-31 12:37:04 +0100 (Mon, 31 Aug 2009) | 1 line

In quickbook 1.5 don't mix '..' and whitespace seperators for template arguments. Refs #1174

........

r55910 | danieljames | 2009-08-31 12:37:17 +0100 (Mon, 31 Aug 2009) | 2 lines

Put the quickbook version numbers in a single header, along with convenience functions for using them in spirit grammars.

........

r55911 | danieljames | 2009-08-31 12:37:32 +0100 (Mon, 31 Aug 2009) | 3 lines

Ignore spaces after 'section:' for quickbook 1.5+ Refs #2712

And warn when section id is empty after colon.

........

r55912 | danieljames | 2009-08-31 12:37:48 +0100 (Mon, 31 Aug 2009) | 1 line

Introduce temporary id variable.

........

r55913 | danieljames | 2009-08-31 12:37:59 +0100 (Mon, 31 Aug 2009) | 1 line

Table ids. Refs #1194.

........

r55914 | danieljames | 2009-08-31 12:38:11 +0100 (Mon, 31 Aug 2009) | 1 line

Separate out the current version of the template argument parser, as I want to create a new one for 1.5

........

r55915 | danieljames | 2009-08-31 12:38:20 +0100 (Mon, 31 Aug 2009) | 1 line

Don't use seperators that are in brackets, or are escaped. Refs #2036.

........

r55916 | danieljames | 2009-08-31 12:38:33 +0100 (Mon, 31 Aug 2009) | 1 line

Add missing table tests.

........

r55917 | danieljames | 2009-08-31 12:38:47 +0100 (Mon, 31 Aug 2009) | 1 line

Support image attributes. Refs #1157.

........

r56077 | djowel | 2009-09-07 02:35:24 +0100 (Mon, 07 Sep 2009) | 1 line

fix for msvc

........

r56715 | danieljames | 2009-10-11 17:18:04 +0100 (Sun, 11 Oct 2009) | 1 line

Use qualified ids in tables, and fix a bug generating ids when there isn't a section.

........

r56717 | danieljames | 2009-10-11 19:21:11 +0100 (Sun, 11 Oct 2009) | 1 line

Document the simplified quickbook 1.5 argument separators.

........

r56718 | danieljames | 2009-10-11 19:21:32 +0100 (Sun, 11 Oct 2009) | 1 line

Use quickbook 1.5 in the document block example.

........

r56719 | danieljames | 2009-10-11 19:21:48 +0100 (Sun, 11 Oct 2009) | 1 line

Add table ids to the documentation.

........

comment:7 Changed 8 years ago by danieljames

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed for quickbook 1.5 documents.

Add Comment

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain danieljames.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.